Subject: bug#41852: 27.0.50; text-scale commands don't scale header of tabulated-list-mode

From: Stefan Kangas <[email-masked]>
Date: Fri, 13 Nov 2020 06:32:03 -0800

Jean Louis <[email-masked]> writes:

> I have tried patching the current git but get problems. Please send me
> the full tabulated-list.el that I can try it.
>
> Loading file /home/data1/protected/Programming/Software/emacs/lisp/emacs-lisp/tabulated-list.el failed to provide feature ‘tabulated-list’
> make[1]: *** [Makefile:817: bootstrap-emacs.pdmp] Error 255
> make[1]: Leaving directory '/home/data1/protected/Programming/Software/emacs/src'
> make: *** [Makefile:424: src] Error 2
> [~/Programming/Software/emacs]

I do not understand how my patch could cause this.  Is there no
`provide' statement in your tabulated-list.el?  Are you applying the
patch to an otherwise clean repository?

> For your note I am using tabulated-list-mode with somewhat enlarged
> faces from default. I would like to test that enhancement.

OK.  Note that your mode needs to contain this line for the feature to
work:

    (setq-local text-scale-remap-header-line t)